#include<bits/stdc++.h>
using namespace std;

long long calc(int n,int k){

    int mn=0,curr=0;
    for(int i=k;i*i<=n;i++){
        if(n%i==0){
            mn++;
        }
    }

    return mn;
}

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n;
    long long ans=0;
    cin>>n;
    for(int i=1;i<=n;i++){
        if(n%i==0){
            int N=n/i;
            ans+=calc(N,i);
        }
    }
    cout<<ans;

    return 0;
}
